<div class="timescroll">
  <div class="timescrollleft">
    <button
      ng-click="scrollLeft()"
      ng-mousedown='mouseDown("left")'
      ng-mouseup='mouseUp()'
      class="btn btn-sm"><span class="glyphicon glyphicon-chevron-left"></span>
    </button>
  </div>
  <div class="timescrollmiddle">
    <div class="timescrollContainer">
      <button ng-repeat="time in times | orderBy: 'nr'"
              ng-class="{'btn-colored': ngModel == time.nr, 'whitefont': (ngModel == time.nr) && (whitefont == 'true')}"
              ng-style="{'background-color': ngModel == time.nr ? color : 'none'}"
              class="btn btn-default btn-sm"
              ng-click="setTime(time, $index)">

        {{::time.hours}}:{{::time.minutes}}

      </button>
    </div>
  </div>
  <div class="timescrollright"><button ng-click="scrollRight()" ng-mousedown='mouseDown("right")' ng-mouseup='mouseUp()' class="btn btn-sm"><span class="glyphicon glyphicon-chevron-right"></span></button></div>
</div>
